=== debian/changelog ===
qtcreator (18.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Drop armel from the list of architectures that need --low-mem-die-limit
    for dwz, as that architecture was discontinued.

 -- Pino Toscano <pino@debian.org>  Mon, 26 Jan 2026 21:50:55 +0100
